Main Page Class Hierarchy Alphabetical List Compound List Examples

Public Member Functions | Protected Member Functions | List of all members
MailboxList Struct Reference

List of Mailbox objects. More...

`#include <mailboxlist.h>`

Inheritance diagram for MailboxList:

## Public Member Functions

| MailboxList (const char *)
| MailboxList (const std::string &)
| MailboxList (const std::string &, const std::string &)
std::string | str () const

## Protected Member Functions

FieldValue * | clone () const
Protected Member Functions inherited from FieldValue
bool | typeChecked () const
void | typeChecked (bool)

## Detailed Description

List of Mailbox objects.

MailboxList class is a container class that holds Mailbox objects

const char* str = "dest@domain.com, friends: one@friends.net, "
"two@friends.net;, last@users.com";
MailboxList aList(str);
MailboxList::const_iterator bit(aList.begin()), eit(aList.end());
for(; bit != eit; ++bit)
{
cout << *bit;
}

See also
  RFC822

## Member Function Documentation

## ◆ clone()

FieldValue * clone | ( |  | ) | const

protected virtual

Implements FieldValue.

## ◆ str()

std::string str | ( |  | ) | const

virtual

Implements FieldValue.

The documentation for this struct was generated from the following file:

- mailboxlist.h